Package io.dapr.v1

# Interface DaprProtos.PurgeWorkflowRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.PurgeWorkflowRequest`, `DaprProtos.PurgeWorkflowRequest.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.PurgeWorkflowRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getInstanceId()`
ID of the workflow instance to purge.
`com.google.protobuf.ByteString`
`getInstanceIdBytes()`
ID of the workflow instance to purge.
`String`
`getWorkflowComponent()`
Name of the workflow component.
`com.google.protobuf.ByteString`
`getWorkflowComponentBytes()`
Name of the workflow component.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getInstanceId

String getInstanceId()

     ID of the workflow instance to purge.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The instanceId.

### getInstanceIdBytes

com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance to purge.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  The bytes for instanceId.

### getWorkflowComponent

String getWorkflowComponent()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The workflowComponent.

### getWorkflowComponentBytes

com.google.protobuf.ByteString getWorkflowComponentBytes()

     Name of the workflow component.

`string workflow_component = 2 [json_name = "workflowComponent"];`

Returns:
  The bytes for workflowComponent.